Bug 141464 - no clear explanation of alleged "additional disk space" required
no clear explanation of alleged "additional disk space" required
Status: CLOSED RAWHIDE
Product: Fedora Documentation
Classification: Fedora
Component: release-notes (Show other bugs)
devel
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Ha
http://fedora.redhat.com/docs/release...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-01 05:51 EST by Robert P. J. Day
Modified: 2014-08-04 18:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-27 09:36:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robert P. J. Day 2004-12-01 05:51:31 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Under the section "Hard Disk Space Requirements", there is the passage:

-----
"The disk space requirements listed below represent the disk space
taken up by Fedora Core 3 after the installation is complete. However,
additional disk space is required during the installation to support
the installation environment. This additional disk space corresponds
to the size of /Fedora/base/stage2.img (on CD-ROM 1) plus the size of
the files in /var/lib/rpm on the installed system.

In practical terms, this means that as little as an additional 90MB
can be required for a minimal installation, while as much as an
additional 175MB can be required for an "everything" installation."
-----

  But there is no explanation as to *what* this additional disk space
is going to be used for, or even what part of the disk will be used
for it.  For example, it says that part of that space will be
necessary for the stage2.img image.  But I recall (from somewhere)
that this image is copied into, and mounted from, RAM.  So what does
that have to do with needing additional *disk* space?  And if it
*does* require additional disk space, where does it get it from?  The
root filesystem?  Some other filesystem?  That's pretty important
information to know in deciding how to allocate filesystem space.

  This is not just an academic question.  During my first FC3 install,
I allocated 256M for the root filesystem, which has historically been
plenty (I put pretty much everything else into logical volumes).  Yet
anaconda choked, complaining that it ran out of space with no further
explanation.  On a hunch, I bumped up the root filesystem to 512M and
everything worked.  Why was that?  I've asked this question on the
anaconda list and still haven't gotten a clear answer.

  I'd really like to see some detail on this alleged "necessary"
additional disk space.  A footnote if necessary, but still, it should
be there.  And an explanation of what *temporary* additional space is
being used under /var/lib/rpm as well, and for what.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  read doc
2.
3.
    

Additional info:
Comment 1 Tammy Fox 2004-12-02 16:20:41 EST
John, if you change the source in CVS, let me know and I'll regenerate
for the website.
Comment 2 John Ha 2004-12-02 18:01:27 EST
I am not the maintainer/writer of the FC3 release notes, but I'll try
to expound on this as best I can. I've brought this question to our
developers who explained to me that "additional" disk space is used
primarily for the following:

1) the copying of the stage2.img image during a disc installation.
2) the RPM transaction
3) the copying and installation of packages

As these are ephemeral processes, they need additional disk space
above and beyond the required space needed for the various install
classes.
Comment 3 Paul W. Frields 2005-11-27 09:36:14 EST
Closing, this is addressed at least as of FC5t1.

Note You need to log in before you can comment on or make changes to this bug.